Skip to main content
DELETE
/
v2
/
users
/
{user_id}
Delete a User
curl --request DELETE \
  --url https://api.dots.dev/api/v2/users/{user_id} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.dots.dev/api/v2/users/{user_id}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.dots.dev/api/v2/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "phone_number": {
    "country_code": "<string>",
    "phone_number": "<string>"
  },
  "default_payout_method_details": {
    "id": "<string>",
    "description": "<string>",
    "mask": "<string>",
    "email": "<string>",
    "phone_number": "<string>",
    "cash_tag": "<string>",
    "country": "<string>",
    "currency": "<string>",
    "rtp_enabled": true,
    "meta": "<unknown>"
  },
  "wallet": {
    "amount": 123,
    "withdrawable_amount": 123,
    "credit_balance": 123
  },
  "compliance": {
    "tax_id_collected": true,
    "address_collected": true,
    "date_of_birth_collected": true,
    "must_collect_1099": true,
    "1099_collected": true,
    "w8_ben_collected": true,
    "flagged": true,
    "id_verified": true,
    "has_criminal_activity": true,
    "background_check": {
      "updated": "2023-11-07T05:31:56Z"
    },
    "w9": {
      "business_name": "<string>",
      "tax_id_collected": true,
      "address_collected": true
    },
    "flags": {
      "ofac": true,
      "payout_method": true,
      "payout_method_cycle": true,
      "name_mismatch": true
    }
  },
  "metadata": "<string>",
  "payout_options_exclude_list": []
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

user_id
string<uuid>
required

Id of the user to fetch

Response

200 - application/json

OK

The user object.

id
string<uuid>
first_name
string
last_name
string
email
string<email>
phone_number
object
default_payout_method
enum<string>
Available options:
ach,
paypal,
venmo,
cash_app,
intl_bank,
airtm,
payoneer,
crypto
default_payout_method_details
object
wallet
object
status
enum<string>
Available options:
verified,
unverified,
disabled,
in_review
compliance
object
metadata

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

payout_options_exclude_list
enum<string>[]

Payout rails hidden from this user. Stacks with app-level exclusions.

Available options:
ach,
paypal,
venmo,
cash_app,
intl_bank,
airtm,
payoneer,
crypto